Bug 1276788 - Unable to set default filter for hosts and datastores
Unable to set default filter for hosts and datastores
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity high
: GA
: 5.5.0
Assigned To: Keenan Brock
Dave Johnson
:
Depends On:
Blocks: 1289636
  Show dependency treegraph
 
Reported: 2015-10-30 18:41 EDT by Nandini Chandra
Modified: 2015-12-17 09:57 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1289636 (view as bug list)
Environment:
Last Closed: 2015-12-17 09:55:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nandini Chandra 2015-10-30 18:41:56 EDT
Description of problem:
--------------------------
The UI blows up while trying to set a filter as the default filter with this error.

Error text:
undefined local variable or method `user' for #<StorageController:0x0000000b0ce2d8> [storage/save_default_search]

Snippet from production.log:
[----] I, [2015-10-30T18:21:56.345359 #2865:80d98c]  INFO -- : Started POST "/host/save_default_search/26" for 127.0.0.1 at 2015-10-30 18:21:56 -0400
[----] I, [2015-10-30T18:21:56.346609 #2865:80d98c]  INFO -- : Processing by HostController#save_default_search as JS
[----] I, [2015-10-30T18:21:56.346678 #2865:80d98c]  INFO -- :   Parameters: {"id"=>"26"}
[----] F, [2015-10-30T18:21:56.751354 #2865:80d98c] FATAL -- : Error caught: [NameError] undefined local variable or method `user' for #<HostController:0x00000016632fe8>
/var/www/miq/vmdb/app/controllers/application_controller/filter.rb:927:in `save_default_search'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_controller/metal/implicit_render.rb:4:in `send_action'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/abstract_controller/base.rb:198:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_controller/metal/rendering.rb:10:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/abstract_controller/callbacks.rb:20:in `block in process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activesupport/lib/active_support/callbacks.rb:117:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activesupport/lib/active_support/callbacks.rb:117:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activesupport/lib/active_support/callbacks.rb:555:in `block (2 levels) in compile'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activesupport/lib/active_support/callbacks.rb:505:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activesupport/lib/active_support/callbacks.rb:505:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activesupport/lib/active_support/callbacks.rb:92:in `__run_callbacks__'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activesupport/lib/active_support/callbacks.rb:778:in `_run_process_action_callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activesupport/lib/active_support/callbacks.rb:81:in `run_callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/abstract_controller/callbacks.rb:19:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_controller/metal/rescue.rb:29:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_controller/metal/instrumentation.rb:32:in `block in process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activesupport/lib/active_support/notifications.rb:164:in `block in instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activesupport/lib/active_support/notifications/instrumenter.rb:20:in `instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activesupport/lib/active_support/notifications.rb:164:in `instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_controller/metal/instrumentation.rb:30:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_controller/metal/params_wrapper.rb:250:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activerecord/lib/active_record/railties/controller_runtime.rb:18:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/abstract_controller/base.rb:137:in `process'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionview/lib/action_view/rendering.rb:30:in `process'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_controller/metal.rb:196:in `dispatch'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_controller/metal/rack_delegation.rb:13:in `dispatch'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_controller/metal.rb:237:in `block in action'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_dispatch/routing/route_set.rb:76:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_dispatch/routing/route_set.rb:76:in `dispatch'



Version-Release number of selected component (if applicable):
-----------------------
5.5.0.8


How reproducible:
-----------------
Always


Steps to Reproduce:
-------------------
1.Navigate to the Infrastructure->Datastores.
2.Try to set a filter as the default filter.


Actual results:
--------------
Error occurs


Expected results:
-----------------
No errors 


Additional info:
----------------
Comment 3 Keenan Brock 2015-12-16 16:30:47 EST
This was fixed by commit 630235e605a41607a6a48607f757051a73443783
and is part of 5.6

Note You need to log in before you can comment on or make changes to this bug.